Name:           ubuntuone-client-gnome
Version:        1.0.2
Release:        1%{?dist}
Summary:        Ubuntu One client GNOME integration


Group:          Applications/System
License:        GPLv3
URL:            https://launchpad.net/ubuntuone-client
Source:         http://launchpad.net/ubuntuone-client/stable-1-0/%{version}/+download/ubuntuone-client-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  nautilus-devel >= 2.16.0
BuildRequires:  gnome-keyring-devel
BuildRequires:  intltool
BuildRequires:  python-ubuntuone-storage-protocol
BuildRequires:  dbus-glib-devel

#libtool
BuildRequires:  gcc-c++

# the main package requires the python bindings too
Requires:       python-ubuntuone-client = %{version}

%description
Ubuntu One is a suite of on-line services. This package contains the tray
applet and Nautilus extension, providing integration with the GNOME desktop.


%prep
%setup -q -n ubuntuone-client-%{version}

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
rm -rf $RPM_BUILD_ROOT%{python_sitelib}

# delete dev files
rm $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-2.0/libnautilus-ubuntuone.a

# remove all files not for this package

rm -rf $RPM_BUILD_ROOT%{_sysconfdir}
rm -rf $RPM_BUILD_ROOT%{_bindir}/u1s*
rm -rf $RPM_BUILD_ROOT%{_libexecdir}
rm -rf $RPM_BUILD_ROOT%{_datadir}/apport
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale
rm -rf $RPM_BUILD_ROOT%{_datadir}/dbus-1/services/com.ubuntuone.SyncDaemon.service
rm -rf $RPM_BUILD_ROOT%{_mandir}/man1/u1s*

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database -q
touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

%postun
update-desktop-database -q
touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

%files
%defattr(-,root,root,-)
%doc COPYING HACKING README
%{_bindir}/ubuntuone-client-applet
%{_bindir}/ubuntuone-client-preferences
%{_libdir}/nautilus/extensions-2.0/libnautilus-ubuntuone.*
%{_datadir}/applications/ubuntuone-client-applet.desktop
%{_datadir}/dbus-1/services/com.ubuntuone.Authentication.service
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/icons/hicolor/*/*/*.icon
%{_mandir}/man1/ubuntuone-client-*.1.gz
%{_datadir}/ubuntuone-client

%changelog
* Tue Nov 24 2009 Thomas Vander Stichele <thomas at apestaart dot org>
- 1.0.2-1
- initial package, split off from ubuntuone-client because it is arch-specific.

* Sun Nov 22 2009 Thomas Vander Stichele <thomas at apestaart dot org>
- 1.0.1-1
- initial package
